Libical API Documentation 3.0

Public Member Functions | Static Public Member Functions
LibICal::ICalParameter Class Reference

## Public Member Functions
| ICalParameter (const ICalParameter &)
| ICalParameter (const icalparameter_kind &kind)
| ICalParameter (const icalparameter_kind &kind, const std::string &str)
| ICalParameter (const std::string &str)
| ICalParameter (icalparameter *v)
std::string | as_ical_string ()
void | detach ()
std::string | get_altrep () const
std::string | get_cn () const
icalparameter_cutype | get_cutype () const
std::string | get_delegatedfrom () const
std::string | get_delegatedto () const
std::string | get_dir () const
icalparameter_encoding | get_encoding () const
icalparameter_fbtype | get_fbtype () const
std::string | get_fmttype () const
std::string | get_language () const
std::string | get_member () const
icalparameter_partstat | get_partstat () const
icalparameter_range | get_range () const
icalparameter_related | get_related () const
icalparameter_reltype | get_reltype () const
icalparameter_role | get_role () const
icalparameter_rsvp | get_rsvp () const
std::string | get_sentby () const
std::string | get_tzid () const
icalparameter_value | get_value () const
std::string | get_x () const
icalparameter_xliccomparetype | get_xliccomparetype () const
icalparameter_xlicerrortype | get_xlicerrortype () const
bool | is_valid ()
icalparameter_kind | isa ()
int | isa_parameter (void *param)
| operator icalparameter * ()
ICalParameter & | operator= (const ICalParameter &)
void | set_altrep (const std::string &v)
void | set_cn (const std::string &v)
void | set_cutype (const icalparameter_cutype &v)
void | set_delegatedfrom (const std::string &v)
void | set_delegatedto (const std::string &v)
void | set_dir (const std::string &v)
void | set_encoding (const icalparameter_encoding &v)
void | set_fbtype (const icalparameter_fbtype &v)
void | set_fmttype (const std::string &v)
void | set_language (const std::string &v)
void | set_member (const std::string &v)
void | set_partstat (const icalparameter_partstat &v)
void | set_range (const icalparameter_range &v)
void | set_related (const icalparameter_related &v)
void | set_reltype (const icalparameter_reltype &v)
void | set_role (const icalparameter_role &v)
void | set_rsvp (const icalparameter_rsvp &v)
void | set_sentby (const std::string &v)
void | set_tzid (const std::string &v)
void | set_value (const icalparameter_value &v)
void | set_x (const std::string &v)
void | set_xliccomparetype (const icalparameter_xliccomparetype &v)
void | set_xlicerrortype (const icalparameter_xlicerrortype &v)

## Static Public Member Functions
static std::string | get_xname (ICalParameter &param)
static std::string | get_xvalue (ICalParameter &param)
static std::string | kind_to_string (const icalparameter_kind &kind)
static void | set_xname (ICalParameter &param, const std::string &v)
static void | set_xvalue (ICalParameter &param, const std::string &v)
static icalparameter_kind | string_to_kind (const std::string &str)

The documentation for this class was generated from the following file:

- icalparameter_cxx.h